For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sales Channel Create Order

Create a new order

post

Creates a new order in the system for the specified channel

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Body
Responses
201

Order created successfully

application/json
numberstringRequired

Order number, unique within the context of a channel

Example: 1234567890
channelintegerRequired

ID of the channel through which the order was placed

Example: 1
statusstring · enumRequired

Status of the order item

Possible values:
date_placedstring · date-timeRequired

Timestamp when the order was placed

Example: 2025-01-01T00:00:00Z
customerintegerRequired

ID of the customer who placed the order

Example: 1
shipping_addressintegerOptional

ID of the shipping address

Example: 1
billing_addressintegerOptional

ID of the billing address

Example: 1
currencystring · enumOptional

Currency type for the price list.

Example: tryPossible values:
amountnumber · decimalRequired

Total amount for the order

Example: 100
shipping_amountnumber · decimalOptional

Shipping charge for the order

Example: 10
shipping_tax_ratenumber · decimalOptional

Tax rate applied to the shipping charge

Example: 10
extra_fieldobjectOptional

Additional information about the order

Example: {"id":1,"name":"test"}
payment_optionintegerOptional

ID of the payment option used

Example: 1
payment_option_slugstringOptional

Slug of the payment option

Example: credit_card
bin_numberstringOptional

First 6 digits of the customer's card

Example: 123456
installmentintegerOptional

ID of the installment option selected

Example: 1
installment_countintegerOptional

Number of installments for the payment

Example: 1
delivery_typestring · enumOptional

Type of delivery selected

Possible values:
installment_interest_amountnumber · decimalOptional

Interest charged on installment payments

Example: 10
cargo_companyintegerOptional

ID of the company responsible for shipping

Example: 1
invoice_numberstringOptional

Invoice number for the order

Example: 1234567890
invoice_datestring · date-timeOptional

Invoice date for the order

Example: 2025-01-01T00:00:00Z
e_archive_urlstring · uriOptional

URL for the e-archive of the invoice

Example: https://e-archive.com/1234567890
refund_amountnumber · decimalOptional

Total refund amount for the order

Example: 10
discount_refund_amountnumber · decimalOptional

Refund amount for the discount

Example: 10
shipping_refund_amountnumber · decimalOptional

Refund amount for the shipping

Example: 10
discount_amountnumber · decimalOptional

Discount applied to the order

Example: 10
is_sendbooleanOptional

Indicates whether the order has been sent

Example: false
net_shipping_amountnumber · decimalRead-onlyOptional

Net shipping amount

Example: 10
shipping_interest_amountnumber · decimalOptional

Interest applied to the shipping cost

Example: 10
tracking_numberstringOptional

Tracking number for the order

Example: 1234567890
carrier_shipping_codestringOptional

Shipping code from the carrier

Example: 1234567890
remote_addrstringOptional

IP address from where the order was placed

Example: 0.0.0.127
fundstransfertransaction_setinteger[]Optional

Set of funds transfer transaction IDs

has_gift_boxbooleanOptional

Indicates whether the order has a gift box

gift_box_notestringOptional

Message for the gift box

external_statusintegerOptional

ID of the external status

client_typestring · enumOptional

Type of client placing the order

Possible values:
language_codestringOptional

Language code for the order

notesstringOptional

Customer instructions for the order

shipping_option_slugstringOptional

Slug for the shipping option

segmentstringOptional

Customer segment for the order

modified_datestring · date-timeOptional

Last modification date of the order

checkout_provider_idintegerOptional

ID of the provider used for checkout

created_datestring · date-timeOptional

Creation date of the order

cancellation_infoobjectOptional

Details regarding the cancellation of the order

shipping_companystring · enumRead-onlyOptional

Shipping company options

Example: yurticiPossible values:
cancel_statusstring · enumRead-onlyOptional

Cancellation status of the order item

Example: waitingPossible values:
defined_tracking_urlstring · uriOptional

Custom tracking URL

Example: https://tracking.com/1234567890
installment_freebooleanRead-onlyOptional

Whether installment is free

first_refund_strategystringRead-onlyOptional

First refund strategy

post/api/v1/channel/{channel_id}/create_orders/
POST /api/v1/channel/{channel_id}/create_orders/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 2087

{
  "order": {
    "number": "1234567890",
    "channel": 1,
    "status": "cancellation_waiting",
    "date_placed": "2025-01-01T00:00:00Z",
    "customer": 1,
    "shipping_address": 1,
    "billing_address": 1,
    "currency": "try",
    "amount": 100,
    "shipping_amount": 10,
    "shipping_tax_rate": 10,
    "extra_field": {
      "id": 1,
      "name": "test"
    },
    "payment_option": 1,
    "payment_option_slug": "credit_card",
    "bin_number": "123456",
    "installment": 1,
    "installment_count": 1,
    "delivery_type": "same_day",
    "installment_interest_amount": 10,
    "cargo_company": 1,
    "invoice_number": "1234567890",
    "invoice_date": "2025-01-01T00:00:00Z",
    "e_archive_url": "https://e-archive.com/1234567890",
    "refund_amount": 10,
    "discount_refund_amount": 10,
    "shipping_refund_amount": 10,
    "discount_amount": 10,
    "is_send": false,
    "shipping_interest_amount": 10,
    "tracking_number": "1234567890",
    "carrier_shipping_code": "1234567890",
    "remote_addr": "0.0.0.127",
    "fundstransfertransaction_set": [
      1
    ],
    "has_gift_box": true,
    "gift_box_note": "text",
    "external_status": 1,
    "client_type": "default",
    "language_code": "text",
    "notes": "text",
    "delivery_range": {
      "start": "2026-01-01T00:00:00.000Z",
      "end": "2026-01-01T00:00:00.000Z"
    },
    "shipping_option_slug": "text",
    "segment": "text",
    "modified_date": "2026-01-01T00:00:00.000Z",
    "checkout_provider_id": 1,
    "created_date": "2026-01-01T00:00:00.000Z",
    "cancellation_info": {},
    "defined_tracking_url": "https://tracking.com/1234567890"
  },
  "order_item": [
    {
      "order": 1,
      "product": 1,
      "status": "waiting",
      "price_currency": "try",
      "price": 100,
      "quantity": 1,
      "unit_price": 100,
      "total_price": 100,
      "tax_rate": 10,
      "tax_amount": 10,
      "extra_field": {
        "id": 1,
        "name": "test"
      },
      "price_list": 1,
      "stock_list": 1,
      "shipping_company": "ups",
      "shipment_code": "1234567890",
      "attributes": {},
      "cancel_status": "waiting",
      "installment_interest_amount": 10,
      "is_tradable": false,
      "datasource": 1,
      "localized_attributes": {},
      "localized_attributes_kwargs": {},
      "cancellation_reconciliation": 1,
      "reconciliation": 1,
      "forced_refund": false,
      "original_stock": 1,
      "shipping_option_group": 1,
      "discount_amount": 10,
      "retail_price": 100,
      "image": "binary",
      "parent": 1,
      "estimated_delivery_date": "2025-01-01",
      "defined_tracking_url": "https://tracking.com/1234567890",
      "defined_shipping_company": "ups"
    }
  ]
}
{
  "number": "1234567890",
  "channel": 1,
  "status": "cancellation_waiting",
  "date_placed": "2025-01-01T00:00:00Z",
  "customer": 1,
  "shipping_address": 1,
  "billing_address": 1,
  "currency": "try",
  "amount": 100,
  "shipping_amount": 10,
  "shipping_tax_rate": 10,
  "extra_field": {
    "id": 1,
    "name": "test"
  },
  "payment_option": 1,
  "payment_option_slug": "credit_card",
  "bin_number": "123456",
  "installment": 1,
  "installment_count": 1,
  "delivery_type": "same_day",
  "installment_interest_amount": 10,
  "cargo_company": 1,
  "invoice_number": "1234567890",
  "invoice_date": "2025-01-01T00:00:00Z",
  "e_archive_url": "https://e-archive.com/1234567890",
  "refund_amount": 10,
  "discount_refund_amount": 10,
  "shipping_refund_amount": 10,
  "discount_amount": 10,
  "is_send": false,
  "net_shipping_amount": 10,
  "shipping_interest_amount": 10,
  "tracking_number": "1234567890",
  "carrier_shipping_code": "1234567890",
  "remote_addr": "0.0.0.127",
  "fundstransfertransaction_set": [
    1
  ],
  "has_gift_box": true,
  "gift_box_note": "text",
  "external_status": 1,
  "client_type": "default",
  "language_code": "text",
  "notes": "text",
  "delivery_range": {
    "start": "2026-01-01T00:00:00.000Z",
    "end": "2026-01-01T00:00:00.000Z"
  },
  "shipping_option_slug": "text",
  "segment": "text",
  "modified_date": "2026-01-01T00:00:00.000Z",
  "checkout_provider_id": 1,
  "created_date": "2026-01-01T00:00:00.000Z",
  "cancellation_info": {},
  "shipping_company": "yurtici",
  "cancel_status": "waiting",
  "defined_tracking_url": "https://tracking.com/1234567890",
  "installment_free": true,
  "first_refund_strategy": "text"
}

Last updated

Was this helpful?